=== AcceleratedAlgorithms/CMakeLists.txt ===
paraview_add_plugin(AcceleratedAlgorithms
  REQUIRED_ON_CLIENT
  REQUIRED_ON_SERVER
  VERSION             "1.0"
  SERVER_MANAGER_XML  AcceleratedAlgorithms.xml)
