=== debian/changelog ===
paraview (5.13.2+dfsg-3ubuntu1) resolute; urgency=medium

  * d/p/fix-ftbfs.patch: Fix FTBFS with gcc-15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Nov 2025 08:52:03 +0000

paraview (5.13.2+dfsg-3build1) resolute; urgency=medium

  * No-change rebuild for libgdal37.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Oct 2025 20:54:48 +0000
