## paraview 6.0.1%2Bdfsg1

=== debian/watch ===
Version: 5

Source: https://github.com/Kitware/ParaView/tags
Matching-Pattern: .*/v?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Repacksuffix: +dfsg1
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/
